
var builder = DistributedApplication.CreateBuilder(args);

//use it
//dotnet user-secrets set Parameters:postgresql-password _StroNG_PaSSworD_
//dotnet user-secrets set Parameters:postgresql-username dev_user

//.WithBindMount("VolumeMount.AppHost-postgresql-data", "/var/lib/postgresql/data")

var cache = builder.AddRedis("cache");

var sqlPassword = builder.AddParameter("postgresql-password", secret: true);

var sqlUser = builder.AddParameter("postgresql-username", secret: true);

var postgresdb = builder
    //.AddPostgres("postgres", password: sqlPassword, userName: sqlUser)
    .AddPostgres("postgres")
    .WithPgAdmin()
    //.WithDataVolume()
    .AddDatabase("prod");


var apiService = builder.AddProject<Projects.HackathonPreparing_ApiService>("apiservice").WithReference(postgresdb);

builder.AddProject<Projects.HackathonPreparing_Web>("webfrontend")
    .WithExternalHttpEndpoints()
    .WithReference(cache)
    .WithReference(apiService);

builder.Build().Run();